/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.WorkspaceImpl;

/**
 * Actions for creating a new WSDL project
 * 
 * @author Ole.Matzura
 */

public class NewWsdlProjectAction extends AbstractAction
{
   private final WorkspaceImpl workspace;

	public NewWsdlProjectAction( WorkspaceImpl workspace )
   {
      super("New WSDL Project");
		this.workspace = workspace;
      putValue(Action.SHORT_DESCRIPTION,"Creates a new wsdl project in this workspace");
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), 
      		"Enter project name", "New WSDL Project", JOptionPane.QUESTION_MESSAGE );
      if( name == null ) return;
      
      workspace.createProject( name );
   }
}