/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.project;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.model.iface.Interface;

/**
 * Adds a WsdlInterface to a WsdlProject from a URL
 * 
 * @author Ole.Matzura
 */

public class AddInterfaceActionFromURL extends AbstractAction
{
   private final WsdlProject project;

	public AddInterfaceActionFromURL( WsdlProject project ) 
   {
      super( "Add WSDL from URL" );
		this.project = project;
      putValue( Action.SHORT_DESCRIPTION, "Adds all interfaces in a specified WSDL URL to the current project" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String url = JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), "Enter WSDL URL", 
      		"Add WSDL from URL", JOptionPane.QUESTION_MESSAGE );
      if( url == null ) return;
      
      Interface [] ifaces = project.importWsdl( url );
      if( ifaces.length > 0 )
         SoapUI.getInstance().selectModelItem( ifaces[0] );
   }
}
