/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.operation;

import javax.swing.JPanel;

import com.eviware.soapui.impl.EmptyPanelBuilder;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.support.PropertiesTable;

/**
 * PanelBuilder for WsdlOperation. Only builds an overview panel.
 *  
 * @author Ole.Matzura
 */

public class WsdlOperationPanelBuilder extends EmptyPanelBuilder
{
   private final WsdlOperation operation;

   public WsdlOperationPanelBuilder(WsdlOperation operation)
   {
      this.operation = operation;
   }

   public JPanel buildOverviewPanel()
   {
   	PropertiesTable table = new PropertiesTable( "Operation Properties", operation );
   	table.addProperty( "SOAPAction", "action" );
   	table.addProperty( "Operation", "bindingOperationName" );
   	
   	return table;
   }

   public boolean hasOverviewPanel()
   {
      return true;
   }
}
