/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model;

import java.beans.PropertyChangeListener;

import javax.swing.Action;
import javax.swing.ImageIcon;

import com.eviware.soapui.model.tree.SoapUITreeNode;

/**
 * General behaviour for all soapui model items
 * 
 * @author Ole.Matzura
 */

public interface ModelItem
{
   public final static String NAME_PROPERTY = ModelItem.class.getName() + "@name";
   public final static String ICON_PROPERTY = ModelItem.class.getName() + "@icon";
   public final static String ACTIONS_PROPERTY = ModelItem.class.getName() + "@actions";
   public final static String DESCRIPTION_PROPERTY = ModelItem.class.getName()  + "@description";
   
   public String getName();
   
   public ImageIcon getIcon();
   
   public Action[] getActions();
   
   public PanelBuilder getPanelBuilder();

   public String getDescription();
   
   public void addPropertyChangeListener( String propertyName, PropertyChangeListener listener );
   
   public void addPropertyChangeListener( PropertyChangeListener listener );
   
   public void removePropertyChangeListener(PropertyChangeListener listener);
   
   public SoapUITreeNode getTreeNode();
}
