/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.tree.nodes;

import com.eviware.soapui.model.testsuite.TestCase;
import com.eviware.soapui.model.tree.AbstractTreeNode;
import com.eviware.soapui.model.tree.SoapUITreeNode;

/**
 * SoapUITreeNode for TestCase implementations
 * 
 * @author Ole.Matzura
 */

public class TestCaseTreeNode extends AbstractTreeNode 
{
   public TestCaseTreeNode(TestCase testCase )
   {
      super( testCase, testCase.getTestSuite() );
   }

   public TestCase getTestCase()
   {
      return (TestCase) getModelItem();
   }
   
   public int getChildCount()
   {
     return getTestCase().getTestStepCount();
   }

   public int getIndexOfChild(Object child)
   {
      for( int c = 0; c < getTestCase().getTestStepCount(); c++ )
      {
         if( getTestCase().getTestStepAt( c ).getTreeNode() == child ) return c;
      }
      
      return -1;
   }

   public SoapUITreeNode getChildNode(int index)
   {
      return getTestCase().getTestStepAt(index ).getTreeNode();
   }
   
   
}
